<p align="center">
  <a href="https://react-native-sensors.github.io/">
    <img width="600px" src="https://github.com/react-native-sensors/logo/blob/master/rn_sensors_banner_900.png?raw=true"><br/>
  </a>

  <h2 align="center">React Native Sensors</h2>
</p>

<p align="center">
    <a href="https://www.npmjs.com/package/react-native-sensors"><img src="https://img.shields.io/npm/dm/react-native-sensors.svg?style=flat-square" alt="NPM downloads"></a>
  <a href="https://www.npmjs.com/package/react-native-sensors"><img src="https://img.shields.io/npm/v/react-native-sensors.svg?style=flat-square" alt="NPM version"></a>
  <a href="https://travis-ci.org/react-native-sensors/react-native-sensors"><img src="https://travis-ci.org/react-native-sensors/react-native-sensors.svg?branch=master" alt="Build Status"></a> <a href="https://github.com/semantic-release/semantic-release"><img src="https://img.shields.io/badge/%20%20%F0%9F%93%A6%F0%9F%9A%80-semantic--release-e10079.svg" alt="semantic-release"></a> <a href="#contributors"><img src="https://img.shields.io/badge/all_contributors-29-orange.svg?style=flat-square" alt="All Contributors"></a>
  <img src="https://github.com/react-native-sensors/react-native-sensors/workflows/.github/workflows/website.yml/badge.svg" alt=".github/workflows/website.yml" />
</p>

## Supported React Native Versions

| React Native Version | react-native-sensors Version |
| -------------------- | ---------------------------- |
| >= 0.60              | >= 7.0                       |
| >= 0.40, < 0.60      | >= 1.0, < 7.0                |
| <= 0.39              | < 1.0                        |

## Documentation

Please visit our [website](https://react-native-sensors.github.io/) for the documentation.

## Cool Projects using `react-native-sensors`

- [react-native-live-translator](https://github.com/agrcrobles/react-native-live-translator)
- [imagination-react-native](https://github.com/Matzielab/imagination-react-native)
- [react-native-game-engine-handbook](https://github.com/bberak/react-native-game-engine-handbook)
- [react-native-iridescent](https://github.com/elevenfooteleven/react-native-iridescent)
- [FlyThru](https://github.com/Noitidart/FlyThru)

Do you want your project listed here? Just send a PR.

## Changelog

[Please see the changelog here](docs/Changelog.md)

## Credits

This project is inspired by the [react-native-sensor-manager](https://github.com/kprimice/react-native-sensor-manager) and by the [react-native-motion-manager](https://github.com/pwmckenna/react-native-motion-manager). Both have similar solutions with a non-uniform interface and this project aims to unify both.

## Contributing

- We use semantic-release for the deployment of new versions, so please stick to [this format](https://github.com/semantic-release/semantic-release#commit-message-format)

## Contributors

Thanks goes to these wonderful people ([emoji key](https://github.com/kentcdodds/all-contributors#emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore -->
<table><tr><td align="center"><a href="http://danielmschmidt.de/"><img src="https://avatars2.githubusercontent.com/u/1337046?v=4" width="100px;" alt="Daniel Schmidt"/><br /><sub><b>Daniel Schmidt</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=DanielMSchmidt" title="Code">💻</a></td><td align="center"><a href="http://noitidart.github.io/"><img src="https://avatars0.githubusercontent.com/u/6372489?v=4" width="100px;" alt="Noitidart"/><br /><sub><b>Noitidart</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=Noitidart" title="Documentation">📖</a></td><td align="center"><a href="https://github.com/tontonrally"><img src="https://avatars2.githubusercontent.com/u/6213682?v=4" width="100px;" alt="Christophe Lemonnier"/><br /><sub><b>Christophe Lemonnier</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=tontonrally" title="Code">💻</a></td><td align="center"><a href="http://belogortsev.ru/"><img src="https://avatars2.githubusercontent.com/u/12188900?v=4" width="100px;" alt="Gennady"/><br /><sub><b>Gennady</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=Greeny7" title="Documentation">📖</a></td><td align="center"><a href="https://github.com/jiaminglu"><img src="https://avatars2.githubusercontent.com/u/1251301?v=4" width="100px;" alt="Jiaming Lu"/><br /><sub><b>Jiaming Lu</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=jiaminglu" title="Code">💻</a></td><td align="center"><a href="https://github.com/alexwasner"><img src="https://avatars1.githubusercontent.com/u/4612947?v=4" width="100px;" alt="Alex Wasner"/><br /><sub><b>Alex Wasner</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=alexwasner" title="Code">💻</a></td><td align="center"><a href="https://github.com/namqdam"><img src="https://avatars1.githubusercontent.com/u/9479593?v=4" width="100px;" alt="Nam Đàm"/><br /><sub><b>Nam Đàm</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=namqdam" title="Code">💻</a></td></tr><tr><td align="center"><a href="http://www.twitter.com/mikeee"><img src="https://avatars1.githubusercontent.com/u/103593?v=4" width="100px;" alt="Mike Knapp"/><br /><sub><b>Mike Knapp</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=mikeknapp" title="Code">💻</a></td><td align="center"><a href="https://github.com/Lleios"><img src="https://avatars1.githubusercontent.com/u/10956848?v=4" width="100px;" alt="Kevin Gonnord"/><br /><sub><b>Kevin Gonnord</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=Lleios" title="Code">💻</a></td><td align="center"><a href="https://github.com/ImAtome"><img src="https://avatars3.githubusercontent.com/u/7541319?v=4" width="100px;" alt="ImAtome"/><br /><sub><b>ImAtome</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=ImAtome" title="Code">💻</a></td><td align="center"><a href="https://github.com/lisamai"><img src="https://avatars0.githubusercontent.com/u/3603130?v=4" width="100px;" alt="Lisa Huynh"/><br /><sub><b>Lisa Huynh</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=lisamai" title="Code">💻</a></td><td align="center"><a href="http://bullish.io"><img src="https://avatars0.githubusercontent.com/u/7315?v=4" width="100px;" alt="Cory Smith"/><br /><sub><b>Cory Smith</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=corymsmith" title="Code">💻</a></td><td align="center"><a href="https://medium.com/@esamatti"><img src="https://avatars3.githubusercontent.com/u/225712?v=4" width="100px;" alt="Esa-Matti Suuronen"/><br /><sub><b>Esa-Matti Suuronen</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=epeli" title="Code">💻</a></td><td align="center"><a href="https://openbeta.io"><img src="https://avatars1.githubusercontent.com/u/19377299?v=4" width="100px;" alt="Viet Nguyen"/><br /><sub><b>Viet Nguyen</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=vietnugent" title="Code">💻</a></td></tr><tr><td align="center"><a href="http://simonbengtsson.com"><img src="https://avatars3.githubusercontent.com/u/3586691?v=4" width="100px;" alt="Simon Bengtsson"/><br /><sub><b>Simon Bengtsson</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=simonbengtsson" title="Code">💻</a></td><td align="center"><a href="https://github.com/maxkomarychev"><img src="https://avatars0.githubusercontent.com/u/7002833?v=4" width="100px;" alt="maxkomarychev"/><br /><sub><b>maxkomarychev</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=maxkomarychev" title="Code">💻</a></td><td align="center"><a href="http://baygeldin.name"><img src="https://avatars3.githubusercontent.com/u/6882605?v=4" width="100px;" alt="Alexander Baygeldin"/><br /><sub><b>Alexander Baygeldin</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=baygeldin" title="Code">💻</a></td><td align="center"><a href="https://github.com/NoaneDan"><img src="https://avatars1.githubusercontent.com/u/17160720?v=4" width="100px;" alt="Noane Dan"/><br /><sub><b>Noane Dan</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=NoaneDan" title="Code">💻</a></td><td align="center"><a href="https://github.com/dabit1"><img src="https://avatars0.githubusercontent.com/u/23297390?v=4" width="100px;" alt="David Escalera"/><br /><sub><b>David Escalera</b></sub></a><br /><a href="#question-dabit1" title="Answering Questions">💬</a> <a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=dabit1" title="Code">💻</a></td><td align="center"><a href="http://eneff.com"><img src="https://avatars1.githubusercontent.com/u/2933593?v=4" width="100px;" alt="Ethan Neff"/><br /><sub><b>Ethan Neff</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=ethanneff" title="Code">💻</a></td><td align="center"><a href="https://alabor.me"><img src="https://avatars1.githubusercontent.com/u/170832?v=4" width="100px;" alt="Manuel Alabor"/><br /><sub><b>Manuel Alabor</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=swissmanu" title="Code">💻</a></td></tr><tr><td align="center"><a href="http://blog.elsdoerfer.name"><img src="https://avatars1.githubusercontent.com/u/13807?v=4" width="100px;" alt="Michael Elsdörfer"/><br /><sub><b>Michael Elsdörfer</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=miracle2k" title="Code">💻</a></td><td align="center"><a href="https://github.com/jmichalc"><img src="https://avatars3.githubusercontent.com/u/2194413?v=4" width="100px;" alt="jmichalc"/><br /><sub><b>jmichalc</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=jmichalc" title="Code">💻</a></td><td align="center"><a href="http://adriancarolli.surge.sh/"><img src="https://avatars3.githubusercontent.com/u/3059371?v=4" width="100px;" alt="Adrian Carolli"/><br /><sub><b>Adrian Carolli</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/issues?q=author%3Awatadarkstar" title="Bug reports">🐛</a> <a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=watadarkstar" title="Code">💻</a></td><td align="center"><a href="https://github.com/jdegger"><img src="https://avatars2.githubusercontent.com/u/14085897?v=4" width="100px;" alt="Jesse Degger"/><br /><sub><b>Jesse Degger</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=jdegger" title="Code">💻</a></td><td align="center"><a href="https://github.com/quoc1506"><img src="https://avatars3.githubusercontent.com/u/13410920?v=4" width="100px;" alt="quoc1506"/><br /><sub><b>quoc1506</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/issues?q=author%3Aquoc1506" title="Bug reports">🐛</a></td><td align="center"><a href="https://github.com/iiJoshJenkins"><img src="https://avatars2.githubusercontent.com/u/24606763?v=4" width="100px;" alt="Joshua Jenkins"/><br /><sub><b>Joshua Jenkins</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/issues?q=author%3AiiJoshJenkins" title="Bug reports">🐛</a></td><td align="center"><a href="https://github.com/gonglowbat"><img src="https://avatars3.githubusercontent.com/u/39253518?v=4" width="100px;" alt="gonglowbat"/><br /><sub><b>gonglowbat</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/issues?q=author%3Agonglowbat" title="Bug reports">🐛</a></td></tr><tr><td align="center"><a href="https://dbanck.de"><img src="https://avatars0.githubusercontent.com/u/45985?v=4" width="100px;" alt="Daniel Banck"/><br /><sub><b>Daniel Banck</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=dbanck" title="Code">💻</a> <a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=dbanck" title="Tests">⚠️</a></td><td align="center"><a href="https://github.com/jan-happy"><img src="https://avatars3.githubusercontent.com/u/695826?v=4" width="100px;" alt="jan-happy"/><br /><sub><b>jan-happy</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=jan-happy" title="Documentation">📖</a></td><td align="center"><a href="http://ibesora.github.io/portfolio"><img src="https://avatars3.githubusercontent.com/u/2301378?v=4" width="100px;" alt="Isaac Besora Vilardaga"/><br /><sub><b>Isaac Besora Vilardaga</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=ibesora" title="Documentation">📖</a></td><td align="center"><a href="https://medium.com/@r.w.overdijk"><img src="https://avatars0.githubusercontent.com/u/781745?v=4" width="100px;" alt="Roberto Wesley Overdijk"/><br /><sub><b>Roberto Wesley Overdijk</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/issues?q=author%3ARWOverdijk" title="Bug reports">🐛</a> <a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=RWOverdijk" title="Code">💻</a></td><td align="center"><a href="http://reitermark.us"><img src="https://avatars2.githubusercontent.com/u/1309829?v=4" width="100px;" alt="Markus Reiter"/><br /><sub><b>Markus Reiter</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=reitermarkus" title="Code">💻</a></td><td align="center"><a href="https://github.com/wesdewitte"><img src="https://avatars0.githubusercontent.com/u/3693012?v=4" width="100px;" alt="wesdewitte"/><br /><sub><b>wesdewitte</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=wesdewitte" title="Code">💻</a></td><td align="center"><a href="https://github.com/Kaakans"><img src="https://avatars2.githubusercontent.com/u/768686?v=4" width="100px;" alt="Jonathan Boellke"/><br /><sub><b>Jonathan Boellke</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=Kaakans" title="Code">💻</a></td></tr><tr><td align="center"><a href="https://github.com/Ehsan0Hejazi"><img src="https://avatars.githubusercontent.com/u/70890584?v=4" width="100px;" alt="Ehsan Hejazi"/><br /><sub><b>Ehsan Hejazi</b></sub></a><br /><a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=Ehsan0Hejazi" title="Code">💻</a> <a href="https://github.com/react-native-sensors/react-native-sensors/commits?author=Ehsan0Hejazi" title="Documentation">📖</a></td></tr></table>

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/kentcdodds/all-contributors) specification. Contributions of any kind welcome!
